From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/prometheus/files/, net-analyzer/prometheus/
Date: Sat, 12 Aug 2017 10:19:12 +0000 (UTC) [thread overview]
Message-ID: <1502533086.d8fdcd98d43630a6a3f60b7dadfcb3c847456f20.mrueg@gentoo> (raw)
commit: d8fdcd98d43630a6a3f60b7dadfcb3c847456f20
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 12 10:18:06 2017 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Aug 12 10:18:06 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8fdcd98
net-analyzer/prometheus: Version bump to 2.0.0_beta1
Package-Manager: Portage-2.3.6, Repoman-2.3.3
net-analyzer/prometheus/Manifest | 1 +
net-analyzer/prometheus/files/prometheus-2.initd | 24 ++++++++
net-analyzer/prometheus/files/prometheus.confd | 4 +-
.../prometheus/prometheus-2.0.0_beta1.ebuild | 67 ++++++++++++++++++++++
4 files changed, 94 insertions(+), 2 deletions(-)
diff --git a/net-analyzer/prometheus/Manifest b/net-analyzer/prometheus/Manifest
index 3ce346c0e6b..2622b5e8141 100644
--- a/net-analyzer/prometheus/Manifest
+++ b/net-analyzer/prometheus/Manifest
@@ -1,2 +1,3 @@
DIST prometheus-1.7.1.tar.gz 5122747 SHA256 209832310f5bef99faef3beaaa95263612a4d0126ca512c4a4c23a8543d3ccf5 SHA512 98a42e95978477530082d7549c29f17b133043d7c233ba3c90b183f06a3f24ee578f8fed75cba476d3c93a22abcccfdbccc94488beb8450a02f260d24165ba26 WHIRLPOOL 8ab473430752336e09b4a0c38fd1117abe21196478d7f2f7e813c27f07c950cc3525d9e9ba32309711c73a1032f3cff27ddc1582d0c4b6c66fe82d5b58675550
DIST prometheus-2.0.0_beta0.tar.gz 5475399 SHA256 7463ff35335ff7fee05018234aa1d100ef78e10f8c549e23675a7552b0429f77 SHA512 f9da91cbe4e7d5510088e09c8457b08bcfe6a4e0ef781e33a848bbd78045f46042e9a55c4329b71dec4cb11143566de2d077fa34361da3eb66af19f8261baab8 WHIRLPOOL 854010b6d9c86688311c992f644cb51c3b0d50523702fc4d82814f92400a141e9557fe367e47aafd2ae2628a73b6533627fab49b1a7f69bbe36081e2c8193f0e
+DIST prometheus-2.0.0_beta1.tar.gz 5521455 SHA256 25eee3f884ddb577f308d174c8eaf31718602afcffc1aef4c574fa9fe54687e6 SHA512 12b2e0ea0279526fd87c915b8ca2bdc2f29bd6041a7c6ad66bc3a7832e914275ba9bfa9d48db54e86dde3c0c1d347a7051fa92fcf33cfebe5b03f200845ef0d1 WHIRLPOOL ba5ff82e8b578c4b94ca539075c834138d2f2af6bea50c45861ea9ff3e592e4cbb32bb3e1ef9c0a3e9ff4e27c4e3025c22b3feb5cc93c33cbd6b8a17803da465
diff --git a/net-analyzer/prometheus/files/prometheus-2.initd b/net-analyzer/prometheus/files/prometheus-2.initd
new file mode 100644
index 00000000000..04f22f10fda
--- /dev/null
+++ b/net-analyzer/prometheus/files/prometheus-2.initd
@@ -0,0 +1,24 @@
+#!/sbin/openrc-run
+# Copyright 2016-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+description="Prometheus monitoring system and time series database"
+pidfile=${pidfile:-"/run/${SVCNAME}/${SVCNAME}.pid"}
+user=${user:-${SVCNAME}}
+group=${group:-${SVCNAME}}
+
+command="/usr/bin/prometheus"
+command_args="${command_args:---config.file=/etc/prometheus/prometheus.yml --storage.tsdb.path=/var/lib/prometheus/data}"
+command_background="true"
+start_stop_daemon_args="--user ${user} --group ${group} \
+ --stdout /var/log/${SVCNAME}/${SVCNAME}.log \
+ --stderr /var/log/${SVCNAME}/${SVCNAME}.log"
+
+depend() {
+ need net
+ after net
+}
+
+start_pre() {
+ checkpath -d -m 0755 -o "${user}":"${group}" "${pidfile%/*}"
+}
diff --git a/net-analyzer/prometheus/files/prometheus.confd b/net-analyzer/prometheus/files/prometheus.confd
index 95de2eccf09..93b41b31624 100644
--- a/net-analyzer/prometheus/files/prometheus.confd
+++ b/net-analyzer/prometheus/files/prometheus.confd
@@ -1,2 +1,2 @@
-# arguments for docker-registry
-command_args="-config.file=/etc/prometheus/prometheus.yml -storage.local.path=/var/lib/prometheus/data"
+# arguments for Prometheus
+command_args=""
diff --git a/net-analyzer/prometheus/prometheus-2.0.0_beta1.ebuild b/net-analyzer/prometheus/prometheus-2.0.0_beta1.ebuild
new file mode 100644
index 00000000000..24e83e245bc
--- /dev/null
+++ b/net-analyzer/prometheus/prometheus-2.0.0_beta1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit user golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/prometheus/prometheus"
+MY_PV=${PV/_beta/-beta.}
+EGIT_COMMIT="v${MY_PV}"
+PROMETHEUS_COMMIT="4dcb465"
+ARCHIVE_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Prometheus monitoring system and time series database"
+HOMEPAGE="https://github.com/prometheus/prometheus"
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+DEPEND="dev-util/promu"
+
+PROMETHEUS_HOME="/var/lib/prometheus"
+
+RESTRICT="test"
+
+pkg_setup() {
+ enewgroup prometheus
+ enewuser prometheus -1 -1 "${PROMETHEUS_HOME}" prometheus
+}
+
+src_prepare() {
+ default
+ sed -i -e "s/{{.Revision}}/${PROMETHEUS_COMMIT}/" src/${EGO_PN}/.promu.yml || die
+}
+
+src_compile() {
+ pushd src/${EGO_PN} || die
+ GOPATH="${S}" promu build -v || die
+ popd || die
+}
+
+src_install() {
+ pushd src/${EGO_PN} || die
+ dobin promtool prometheus
+ dodoc -r {documentation,{README,CHANGELOG,CONTRIBUTING}.md}
+ insinto /etc/prometheus
+ doins documentation/examples/prometheus.yml
+ insinto /usr/share/prometheus
+ doins -r console_libraries consoles
+ dosym ../../usr/share/prometheus/console_libraries /etc/prometheus/console_libraries
+ dosym ../../usr/share/prometheus/consoles /etc/prometheus/consoles
+ popd || die
+
+ newinitd "${FILESDIR}"/prometheus-2.initd prometheus
+ newconfd "${FILESDIR}"/prometheus.confd prometheus
+ keepdir /var/log/prometheus /var/lib/prometheus
+ fowners prometheus:prometheus /var/log/prometheus /var/lib/prometheus
+}
+
+pkg_postinst() {
+ if has_version '<net-analyzer/prometheus-2.0.0_beta1'; then
+ ewarn "Old prometheus 1.x TSDB won't be converted to the new prometheus 2.0 format"
+ ewarn "Be aware that the old data currently cannot be accessed with prometheus 2.0"
+ ewarn "It's generally advised to start with a clean storage directory"
+ fi
+}
next reply other threads:[~2017-08-12 10:19 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-08-12 10:19 Manuel Rüger [this message]
-- strict thread matches above, loose matches on Subject: below --
2018-01-12 12:38 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/prometheus/files/, net-analyzer/prometheus/ Manuel Rüger
2018-01-12 12:38 Manuel Rüger
2017-10-09 14:26 Manuel Rüger
2017-09-18 11:01 Manuel Rüger
2016-12-14 12:51 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1502533086.d8fdcd98d43630a6a3f60b7dadfcb3c847456f20.mrueg@gentoo \
--to=mrueg@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox